package at.ac.tuwien.dbai.staff.dvorak.alternation.runtime;

/**
 * Container of work variables in our alternating machine.
 * 
 * @author Wolfgang Dvorak
 * 
 */
public interface InterfaceWorktape<Inputtape> {
	/**
	 * 
	 * @param input initialize the worktape with the given input
	 */
	public void reset(Inputtape input);
	
	/**
	 * 
	 * @return a (flat) copy from the worktape
	 */
	public InterfaceWorktape clone();
}
